import request from './request';

// 首页轮播图
export const promoTerminalList = params => {
  return request({
    url: `promoTerminal/queryPublishList`,
    method: 'post',
    data: params
  })
}
// 促销活动列表-分页
export const promoTerminalListByPage = params => {
  return request({
    url: `promoTerminal/queryPublishPage/${params.pageNo}/${params.pageSize}`,
    method: 'post',
    data: params
  })
}
// 促销活动产品列表-分页
export const queryPromoProductByPage = params => {
  return request({
    url: `promoTerminal/queryPromoProduct/${params.pageNo}/${params.pageSize}`,
    method: 'post',
    data: params
  })
}
// 活动详情
export const promoTerminalDetail = params => {
  return request({
    url: `promoTerminal/findBySn/${params.sn}`,
    method: 'get',
  })
}
// 视频列表
export const getVideoList = (params) => {
  return request({
    url: `content/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 视频详情
export const videoDetail = params => {
  return request({
    url: `content/findById/${params.id}`,
    method: 'get',
    data: ''
  })
}